/* AC97DEF.H */
/* V1.0*/
/* B.BOUCHEZ - Juin 2002 */

/* AC'97 standard AC97 registers definition / -o = Optional register */
#define AC97_RESET	      0x00		  /* Reset Register */
#define AC97_MAST_VOL	      0x02		  /* Master Volume Register */
#define AC97_AUX_OUT_VOL	0x04	        /* -o AUX Out Volume */
#define AC97_MONO_VOL	      0x06		  /* -o Mono Volume */
#define AC97_MAST_TONE	0x08		  /* -o Master Tone */
#define AC97_BEEP_VOL	      0x0a		  /* -o PC Beep Volume */
#define AC97_PHONE_VOL	0x0c		  /* -o Analog Mixer Phone Volume */
#define AC97_MIC_VOL	      0x0e		  /* Analog Mixer Mic In Volume */
#define AC97_LINE_VOL	      0x10		  /* Analog Mixer Line In Volume */
#define AC97_CD_VOL	      0x12		  /* Analog Mixer CD Volume */
#define AC97_VIDEO_VOL	0x14		  /* -o Analog Mixer Video Volume */
#define AC97_AUX_IN_VOL	0x16	        /* -o Analog Mixer Aux In Volume */
#define AC97_PCM_OUT_VOL	0x18	        /* Analog Mixer PCM Out Volume */
#define AC97_REC_SEL	      0x1a		  /* Record Source Selector */
#define AC97_REC_GAIN	      0x1c		  /* Record Gain */
#define AC97_REC_MIC_GAIN	0x1e	        /* -o Mic Record Gain */
#define AC97_GEN_PURPOSE    0x20	        /* -o General Purpose Register */
#define AC97_3D_CTRL	      0x22		  /* -o 3D Control */
#define AC97_PWRDWN_STAT	0x26	        /* Powerdown Control & Status */

/* Extended audio register set */
#define AC97_EXT_ID         0x28          /* -o Audio ID */
#define AC97_EXT_STAT       0x2A          /* -o Audio Status/Control */
#define AC97_FRONT_RATE     0x2C          /* -o PCM Front DAC Rate */
#define AC97_SURR_RATE      0x2E          /* -o PCM Surround DAC Rate */  
#define AC97_LFE_RATE       0x30          /* -o PCM LFE DAC Rate */  
#define AC97_LR_RATE        0x32          /* -o PCM L/R ADC Rate */
#define AC97_MIC_RATE       0x34          /* -o Mic ADC Rate */
#define AC97_CLFE_VOL       0x36          /* -o Center/LFE Volume */ 
#define AC97_SURR_VOL       0x38          /* -o Surround Volume */ 
#define AC97_SPDIF_CTRL     0x3A          /* -o S/PDIF Control */   

/* Extended modem register set... some of them are missing */
#define AC97_MODEM_ID       0x3C          /* -o Extended Modem ID */
#define AC97_MODEM_STAT     0x3E          /* -o Extended Modem Status/Control */
#define AC97_MODEM_L1_RATE  0x40          /* -o Line 1 ADC/DAC Rate */
#define AC97_MODEM_L2_RATE  0x42          /* -o Line 2 ADC/DAC Rate */
#define AC97_MODEM_HS_RATE  0x44          /* -o Handset ADC/DAC Rate */
#define AC97_MODEM_L1_LEV   0x46          /* -o Line 1 ADC/DAC Level */
#define AC97_MODEM_L2_LEV   0x48          /* -o Line 2 ADC/DAC Level */
#define AC97_MODEM_HS_LEV   0x4A          /* -o Handset ADC/DAC Level */
#define AC97_MODEM_IO_CFG   0x4C          /* -o GPIO Configuration */

/* Vendor ID register set */
#define AC97_VENDOR_ID1	0x7c	        /* AC97 Vendor ID 1 */
#define AC97_VENDOR_ID2	0x7e	        /* AC97 Vendor ID 2 */

